edu.isi.pegasus.planner.parser

## Class SiteCatalogXMLMetadataParser.StopParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - edu.isi.pegasus.planner.parser.SiteCatalogXMLMetadataParser.StopParserException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  SiteCatalogXMLMetadataParser

    private static class SiteCatalogXMLMetadataParser.StopParserException
    extends java.lang.RuntimeException

Private RuntimeException to stop the SAX Parser

### Constructor Summary

Constructors
`private` `StopParserException()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopParserException

    private StopParserException()